#95176 Report by node docker-deb-ubuntu_16_04_xenial covering 1800 tests from 52 modules resulted into 9 errors

Report

ObsPy Version
1.0.3.post0+1220.g6b4902c26...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
863.9 sec
Report Date/Time
2018-05-07 12:24:14

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-ubuntu_16_04_xenial
Processor
x86_64
Python Compiler
GCC 5.4.0 20160609
Python Implementation
CPython
Python Version
3.5.2
Release
4.4.0-119-generic
System
Linux
Version
#143-Ubuntu SMP Mon Apr 2 16:08:24 UTC 2018

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.4
future
0.16.0
geographiclib
---
lxml.etree
3.5.0
m2crypto
---
matplotlib
1.5.1
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.11.0
osgeo.gdal
---
pep8-naming
---
pyflakes
1.1.0
pyimgur
0.5.3
pyproj
1.9.5.1
requests
2.9.1
scipy
0.17.0
setuptools
20.7.0
sqlalchemy
1.0.11

Modules (52)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 1 1
obspy.clients.earthworm 6 2 3 4 5 6 7
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris 2 8 9
obspy.clients.neic - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 9 9

Tracebacks (9)

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 277, in test_get_waveform_with_metadata
self.assertEqual(st[0].stats, results)
AssertionError: Stats({'station': 'RJOB', '_format': 'MSE[1096 chars]370}) != {'station': 'RJOB', '_format': 'MSEED', '[1090 chars]1370}
Traceback (most recent call last):
File "<decorator-gen-55>", line 2, in test_save_waveform
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 98, in test_save_waveform
stream = read(testfile)
File "<decorator-gen-31>", line 2, in read
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/stream.py", line 231, in read
st.extend(_read(file, format, headonly, **kwargs).traces)
File "<decorator-gen-32>", line 2, in _read
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 209, in uncompress_file
result = func(filename, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/stream.py", line 273, in _read
headonly=headonly, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/core/util/base.py", line 390, in _read_from_plugin
raise TypeError('Unknown format for file %s' % filename)
TypeError: Unknown format for file /tmp/obspy-uf3i73bg.tmp
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 21, in obspy.clients.earthworm.__init__
Failed example:
response = client.get_availability('AV', 'ACH', channel='EHE')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[2]>", line 1, in <module>
response = client.get_availability('AV', 'ACH', channel='EHE')
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 224, in get_availability
response = get_menu(self.host, self.port, timeout=self.timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 220, in get_menu
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 167, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 29, in obspy.clients.earthworm.__init__
Failed example:
t = response[0][4]
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[4]>", line 1, in <module>
t = response[0][4]
NameError: name 'response' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/__init__.py", line 30, in obspy.clients.earthworm.__init__
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.__init__[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', t + 100, t + 130)
NameError: name 't' is not defined
Traceback (most recent call last):
File "<decorator-gen-56>", line 2, in test_availability
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 116, in test_availability
self.assertIn('AV.ACH.--.EHZ', seeds)
AssertionError: 'AV.ACH.--.EHZ' not found in []
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_availability
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 170, in get_availability
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 198, in obspy.clients.earthworm.client.Client.get_availability
Failed example:
print(response) # doctest: +ELLIPSIS +NORMALIZE_WHITESPACE
Expected:
[('AV',
'ACH',
'--',
'EHE',
UTCDateTime(...),
UTCDateTime(...)),
('AV',
'ACH',
'--',
'EHN',
UTCDateTime(...),
UTCDateTime(...)),
('AV',
'ACH',
'--',
'EHZ',
UTCDateTime(...),
UTCDateTime(...))]
Got:
[]
Traceback (most recent call last):
File "<decorator-gen-54>", line 2, in test_get_waveform
File "/usr/lib/python3/dist-packages/obspy/core/util/decorator.py", line 127, in skip_on_network_error
return func(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/tests/test_client.py", line 41, in test_get_waveform
self.assertEqual(len(stream), 1)
AssertionError: 0 != 1
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.earthworm.client.Client.get_waveforms
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 50, in get_waveforms
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 82, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[3]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EHE', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 265, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 167, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 84, in obspy.clients.earthworm.client.Client.get_waveforms
Failed example:
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.earthworm.client.Client.get_waveforms[5]>", line 1, in <module>
st = client.get_waveforms('AV', 'ACH', '', 'EH*', dt, dt + 10)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 105, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/client.py", line 113, in get_waveforms
cleanup=cleanup)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 265, in read_wave_server_v
r = get_sock_char_line(sock, timeout=timeout)
File "/usr/lib/python3/dist-packages/obspy/clients/earthworm/waveserver.py", line 167, in get_sock_char_line
indat = sock.recv(1)
ConnectionResetError: [Errno 104] Connection reset by peer
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 472, in open
response = meth(req, response)
File "/usr/lib/python3.5/urllib/request.py", line 582, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.5/urllib/request.py", line 510, in error
return self._call_chain(*args)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 590, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 2190, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.5/urllib/request.py", line 163, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.5/urllib/request.py", line 472, in open
response = meth(req, response)
File "/usr/lib/python3.5/urllib/request.py", line 582, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.5/urllib/request.py", line 510, in error
return self._call_chain(*args)
File "/usr/lib/python3.5/urllib/request.py", line 444, in _call_chain
result = func(*args)
File "/usr/lib/python3.5/urllib/request.py", line 590, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.5/doctest.py", line 1321, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]

Skipped Tests (44)

Submodule Test Skip Message
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
226.001s get_waveforms (obspy.clients.earthworm.client.Client)
103.423s __init__ (obspy.clients.earthworm)
33.321s test_availability (obspy.clients.earthworm.tests.test_client.ClientTestCase)
31.309s test_get_waveform (obspy.clients.earthworm.tests.test_client.ClientTestCase)
30.325s test_save_waveform (obspy.clients.earthworm.tests.test_client.ClientTestCase)
20.218s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
16.082s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.707s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.185s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.783s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.721s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.294s get_availability (obspy.clients.earthworm.client.Client)
8.283s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.278s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.036s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
7.471s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
7.347s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
6.917s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
6.419s __init__ (obspy.clients.fdsn.client.Client)
6.393s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris programs do not accept input.